function onBegin()
  local level = getLevel()
  disablePause()
  while getFlag("ortal") == false do
    wait(0.017)
  end
  disableMovement()
  playSound("event:/ui/main/rename_entry_accept")
  while getFlag("ortal2") == false do
    wait(0.017)
  end
    playSound("event:/yakaki5rooms/m/slippery")
  coroutine.yield(level:ZoomTo(player.Position - getRoom().Camera.Position + vector2(0,-8), 40, 1))
  instantTeleportTo(104,120,"0a")
  setFlag("ortal3",true)
end